<template>
  <lazy-theme-common-desktop-payment-deposit-auto-deposit
    v-if="isDesktop"
    :normal-banks="props.normalBanks"
    :profile="props.profile"
  />
  <lazy-theme-common-mobile-payment-deposit-auto-deposit
    v-else
    :normal-banks="props.normalBanks"
    :profile="props.profile"
  />
</template>
<script lang="ts" setup>
import { ProfileDto } from "@/models/getProfileResponse";
import { IGetTransactionBankListResponse } from "@/models/getTransactionBankListResponse";
import { store } from "~~/store";

const props = defineProps({
  normalBanks: {
    type: Object as PropType<IGetTransactionBankListResponse>,
    required: true,
    default: {} as IGetTransactionBankListResponse,
  },
  profile: {
    type: Object as PropType<ProfileDto>,
    required: true,
  },
});
const selectedThemeName = computed(() => store.state.selectedThemeName);
const { isDesktop } = useDevice();
</script>
